## lomiri-system-settings-phone 1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(lomiri-system-settings-phone VERSION 1.1 LANGUAGES C CXX)

if(${PROJECT_BINARY_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
   message(FATAL_ERROR "In-tree build attempt detected, aborting. Set your build dir outside your source dir, delete CMakeCache.txt from source root and try again.")
endif()

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
include(FindPkgConfig)
include(GNUInstallDirs)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(Qt5
    COMPONENTS
        Core
        Gui
        DBus
        Network
        Quick
        Qml
    REQUIRED
)

pkg_check_modules(LomiriSystemSettings
    REQUIRED IMPORTED_TARGET
    LomiriSystemSettings
)
pkg_get_variable(PLUGIN_MANIFEST_DIR LomiriSystemSettings plugin_manifest_dir)
pkg_get_variable(PLUGIN_PRIVATE_MODULE_DIR LomiriSystemSettings plugin_private_module_dir)
pkg_get_variable(PLUGIN_MODULE_DIR LomiriSystemSettings plugin_module_dir)
pkg_get_variable(PLUGIN_QML_DIR LomiriSystemSettings plugin_qml_dir)

add_subdirectory(plugins/phone)

add_subdirectory(po)

=== plugins/phone/CMakeLists.txt ===
add_subdirectory(plugin)

set(QML_SOURCES
    CallForwarding.qml
    CallForwardItem.qml
    CallWaiting.qml
    KeyboardRectangle.qml
    MultiSim.qml
    NoSims.qml
    Ofono.qml
    PageComponent.qml
    ServiceInfo.qml
    Services.qml
    SingleSim.qml
    VCardParser.qml
    callForwardingUtils.js
    dateUtils.js
    sims.js
    i18nd.js
)

# We need a dummy target so the QML files show up in Qt Creator
# If this plugin gets some C++ sources, remove this.
add_custom_target(phone-holder
COMMAND echo This is just a dummy.
SOURCES ${QML_SOURCES})

install(FILES ${QML_SOURCES} DESTINATION ${PLUGIN_QML_DIR}/phone)
install(FILES settings-phone.svg DESTINATION ${PLUGIN_MANIFEST_DIR}/icons)
install(FILES phone.settings DESTINATION ${PLUGIN_MANIFEST_DIR})

=== debian/changelog ===
lomiri-system-settings-phone (1.1-1build1) plucky; urgency=medium

  * Rebuild against new ppp 2.5.2-1+1.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 26 Feb 2025 15:37:42 +0100

lomiri-system-settings-phone (1.1-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1094471).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 28 Jan 2025 14:31:52 +0100

## lomiri-system-settings-phone 1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.16)
-project(lomiri-system-settings-phone VERSION 1.1 LANGUAGES C CXX)
+project(lomiri-system-settings-phone VERSION 1.2 LANGUAGES C CXX)
 
 if(${PROJECT_BINARY_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    message(FATAL_ERROR "In-tree build attempt detected, aborting. Set your build dir outside your source dir, delete CMakeCache.txt from source root and try again.")

=== po/CMakeLists.txt ===
find_program(XGETTEXT_BIN xgettext)
find_program(MSGFMT_BIN msgfmt)
if(NOT MSGFMT_BIN OR NOT XGETTEXT_BIN)
    message(FATAL_ERROR "gettext not found")
endif()
find_package(Python3 COMPONENTS Interpreter)
if(NOT Python3_FOUND)
    message(FATAL_ERROR "python3 not found")
endif()

file(GLOB CPPFILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}"
    "${CMAKE_SOURCE_DIR}/plugins/*/*.cpp")
file(GLOB QMLFILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}"
    "${CMAKE_SOURCE_DIR}/plugins/*/*.qml")
file(GLOB SETTINGSFILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}"
    "${CMAKE_SOURCE_DIR}/plugins/*/*.settings")
file(RELATIVE_PATH SETTINGSJSFILE "${CMAKE_CURRENT_SOURCE_DIR}"
    "${CMAKE_CURRENT_SOURCE_DIR}/settings.js")

add_custom_command(OUTPUT ${SETTINGSJSFILE}
    COMMAND ${Python3_EXECUTABLE} ./extractsettingsinfo ${SETTINGSFILES} -o ${SETTINGSJSFILE}
    WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
    DEPENDS ${SETTINGSFILES}
)

add_custom_target(pot-qml
    COMMAND ${XGETTEXT_BIN} -o ${PROJECT_NAME}.pot
                            --join-existing
                            --copyright=\"Canonical Ltd.\"
                            --package-name=${PROJECT_NAME}
                            --qt
                            --c++
                            --add-comments=TRANSLATORS
                            --keyword=QT_TR_NOOP
                            --keyword=ctr:1c,2
                            --keyword=tr
                            --keyword=tr:1,2
                            --from-code=UTF-8
                            --sort-by-file
                            ${QMLFILES}
    WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
    DEPENDS ${QMLFILES}
)

add_custom_target(pot DEPENDS pot-qml)

set(languages "aa;af;am;ar;ast;az;be;bg;br;bs;ca;ckb;cs;cy;da;de;el;en_AU;en_GB;eo;es;eu;fa;fi;fr;fr_CA;ga;gd;gl;gu;he;hi;hr;hu;hy;ia;id;is;it;ja;km;ko;lo;lt;lv;ml;mr;ms;my;nb;nl;oc;pa;pl;pt;pt_BR;ro;ru;sa;sc;shn;si;sk;sl;sq;sr;st;sv;ta;te;th;tr;ug;uk;vi;xh;zh_CN;zh_HK;zh_TW")
foreach(i ${languages})
    add_custom_command(OUTPUT ${i}.mo
        COMMAND ${MSGFMT_BIN} ${CMAKE_CURRENT_SOURCE_DIR}/${i}.po
            -o ${CMAKE_CURRENT_BINARY_DIR}/${i}.mo
        DEPENDS ${i}.po)
    add_custom_target(${i}gen ALL DEPENDS ${i}.mo)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${i}.mo
        DESTINATION share/locale/${i}/LC_MESSAGES
        RENAME lomiri-system-settings-phone.mo)
endforeach()

=== plugins/phone/plugin/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_BINARY_DIR})

set(CMAKE_AUTOMOC ON)

add_library(phone-plugin SHARED phone-plugin.h phone-plugin.cpp)
target_link_libraries(phone-plugin
    Qt5::Core
    Qt5::Qml
    Qt5::DBus
    LomiriSystemSettings)
install(TARGETS phone-plugin DESTINATION ${PLUGIN_MODULE_DIR})

=== debian/changelog ===
lomiri-system-settings-phone (1.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Add 2001_show-for-all-form-factors.patch. Show phone settings on all form
      factors.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 02 May 2025 14:17:48 +0200

=== debian/control ===
Source: lomiri-system-settings-phone
Section: x11
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
    Mike Gabriel <sunweaver@debian.org>,
Build-Depends:
    cmake,
    cmake-extras,
    debhelper-compat (= 13),
    gettext,
    liblomirisystemsettings-dev,
    liblomirisystemsettingsprivate-dev,
    libqt5sql5-sqlite <!nocheck>,
    lomiri-system-settings <!nocheck>,
    pkgconf,
    python3:any,
    qml-module-lomiri-components <!nocheck>,
    qml-module-qtquick2 <!nocheck>,
    qml-module-ofono (>=0.117~) <!nocheck>,
    qtbase5-dev,
    qtbase5-private-dev <!nocheck>,
    qtdeclarative5-dev,
    xvfb <!nocheck>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/core/lomiri-system-settings-phone
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-system-settings-phone.git
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-system-settings-phone

Package: lomiri-system-settings-phone
Architecture: any
Multi-Arch: same
Depends:
    lomiri-system-settings,
    qml-module-lomiri-components,
    ${shlibs:Depends},
    ${misc:Depends},
Description: Phone settings plugin for Lomiri's system settings
 Lomiri-system-settings is the System Settings application used in Lomiri
 operating environment. it's designed for phones, tablets and convergent
 devices.
 .
 This package provides the phone settings plugin to lomiri-system-settings.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export TEST_HOME=$(CURDIR)/debian/tmp/test-home

override_dh_auto_test:
	mkdir -p $(TEST_HOME)
	HOME=$(TEST_HOME) dh_auto_test

override_dh_auto_clean:
	dh_auto_clean
	rm -f $(TEST_HOME)

%:
	dh $@

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
